org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddEdgeTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest.Traversals

- Enclosing class:
    AddEdgeTest

      public static class AddEdgeTest.Traversals
      extends AddEdgeTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

      `AddEdgeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Edge>` | `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `Traversal<Vertex,Edge>` | `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a, Vertex b)`
    `Traversal<Vertex,Edge>` | `get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

      `g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX, g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX, g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX, g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX, g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X, g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X, g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X, g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX, g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X, g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX, g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X, g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX` in class `AddEdgeTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X` in class `AddEdgeTest`

    - #### get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public Traversal<Vertex,Edge> get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

      Specified by:
        `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX` in class `AddEdgeTest`

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X` in class `AddEdgeTest`

    - #### get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

      Specified by:
        `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX` in class `AddEdgeTest`

    - #### get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public Traversal<Vertex,Edge> get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a,
                                                                                                              Vertex b)

      Specified by:
        `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X` in class `AddEdgeTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_aX` in class `AddEdgeTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addOutEXcreatedBy_a_weight_2X` in class `AddEdgeTest`

    - #### get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX

          public Traversal<Vertex,Edge> get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX()

      Specified by:
        `get_g_withSideEffectXx__g_V_toListX_addOutEXexistsWith_x_time_nowX` in class `AddEdgeTest`

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X

          public Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_selectXa_bX_addInEXa_codeveloper_b_year_2009X` in class `AddEdgeTest`

    - #### get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX

          public Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX()

      Specified by:
        `get_g_V_asXaX_inXcreatedX_addInEXcreatedBy_a_year_2009_acl_publicX` in class `AddEdgeTest`

    - #### get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public Traversal<Vertex,Edge> get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

      Specified by:
        `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX` in class `AddEdgeTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.